#!/usr/bin/env python3
'''
This script lists the files in the current path and stores in the given file.
Usable only where "ls" command exists.

Created on 2013.02.19.
@author: Gergo Horanyi

'''

import argparse
import os
import sys

# Argument parser initialization
parser = argparse.ArgumentParser();
parser.add_argument("file", help="Output file destination", type=str)
parser.add_argument("-X", help="Force to overwrite output file", action="store_true")
args = parser.parse_args();

#Parameter checking
if os.path.exists(args.file) and args.X == False:
        print("ERROR: Output file already exists. Use -X to overwrite.")
        sys.exit(1)
else: # Write to file
    # A non-python (good) solution: os.system("ls -all > " + args.file)
    file = open(args.file, 'w')
    for line in os.popen("ls -all").readlines(): # call external command and read lines
        file.write(line) # store one line in the file
    file.close()

